> For the complete documentation index, see [llms.txt](https://docs.pulsoid.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pulsoid.net/read-heart-rate/read-statistics.md).

# Read Statistics

This method allows reading the statistics of bpm data.

**Request:**

<table><thead><tr><th width="131">name</th><th>value</th></tr></thead><tbody><tr><td>url</td><td><code>https://dev.pulsoid.net/api/v1/statistics</code></td></tr><tr><td>method</td><td><code>GET</code></td></tr><tr><td>scope</td><td><pre><code>data:statistics:read
</code></pre></td></tr></tbody></table>

**Query Parameters explained:**

<table><thead><tr><th width="150">name</th><th>type</th><th width="176">possible values</th><th width="83">default</th><th>description</th></tr></thead><tbody><tr><td>time_range</td><td>string</td><td><code>24h</code>,<br><code>7d</code>,<code>30d</code></td><td><code>24h</code></td><td>Time range</td></tr></tbody></table>

**Headers Parameters explained:**

<table><thead><tr><th width="151">name</th><th>value</th><th>description</th></tr></thead><tbody><tr><td>Authorization</td><td>Bearer {auth token}</td><td>How to obtains access token<br><a href="https://docs.pulsoid.net/#how-to-obtain-an-authorization-token">https://docs.pulsoid.net/#how-to-obtain-an-authorization-token</a></td></tr></tbody></table>

**Response:**

<table><thead><tr><th width="278">name</th><th>type</th><th>description</th></tr></thead><tbody><tr><td>maximum_beats_per_minute</td><td>number</td><td>Maximum beats per minute for the provided time range</td></tr><tr><td>minimum_beats_per_minute</td><td>number</td><td>Minimum beats per minute for the provided time range</td></tr><tr><td>average_beats_per_minute</td><td>number</td><td>Average beats per minute for the provided time range</td></tr><tr><td>streamed_duration_in_seconds</td><td>number</td><td>Duration in seconds while heart rate was streamed</td></tr><tr><td>calories_burned_in_kcal</td><td>number</td><td>Estimated calories burned for the provided time range</td></tr></tbody></table>

**Specific Errors:**

| http status code | reason                                   |
| ---------------- | ---------------------------------------- |
| 400              | no\_supported\_time\_range\_24h\_7d\_30d |

**cURL Request Example:**

```bash
curl --request GET \
  --url 'https://dev.pulsoid.net/api/v1/statistics?time_range=7d' \
  --header 'Authorization: Bearer 8c4da3ce-7ed7-4a19-a1f1-058498661e45'
```

**Response Example**

```json
{
	"maximum_beats_per_minute": 139,
	"minimum_beats_per_minute": 60,
	"average_beats_per_minute": 79,
	"streamed_duration_in_seconds": 23019,
	"calories_burned_in_kcal": 1072
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pulsoid.net/read-heart-rate/read-statistics.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
